org.eclipse.wst.jsdt.debug.core.jsdi.event

## Interface LocatableEvent

All Superinterfaces:
  Event, Locatable, Mirror

All Known Subinterfaces:
  BreakpointEvent, DebuggerStatementEvent, ExceptionEvent, ResumeEvent, ScriptLoadEvent, StepEvent, SuspendEvent, ThreadEnterEvent, ThreadExitEvent

    public interface LocatableEvent
    extends Event, Locatable

Description of a JSDI event that has a location

Since:
  1.0
See Also:
  `Event`, `EventQueue`, `EventSet`, `Locatable`
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`ThreadReference` `thread()` Returns the underlying `ThreadReference` the event originated from.

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.jsdi.event.Event

`request`

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.jsdi.Mirror

`virtualMachine`

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.jsdi.Locatable

`location`

### Method Detail

#### thread

    ThreadReference thread()

Returns the underlying `ThreadReference` the event originated from.
This method cannot return `null`

Returns:
  the underlying `ThreadReference` the event originated from, never `null`